| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::FlushTestAllocator Class Reference
Inheritance diagram for impeller::testing::FlushTestAllocator:

## Public Member Functions
ISize | GetMaxTextureSizeSupported () const override
std::shared_ptr< DeviceBuffer > | OnCreateBuffer (const DeviceBufferDescriptor &desc) override
std::shared_ptr< Texture > | OnCreateTexture (const TextureDescriptor &desc) override
Public Member Functions inherited from impeller::Allocator
virtual | ~Allocator ()
bool | IsValid () const
std::shared_ptr< DeviceBuffer > | CreateBuffer (const DeviceBufferDescriptor &desc)
std::shared_ptr< Texture > | CreateTexture (const TextureDescriptor &desc)
virtual uint16_t | MinimumBytesPerRow (PixelFormat format) const
| Minimum value for `row_bytes` on a Texture. The row bytes parameter of that method must be aligned to this value. More...
std::shared_ptr< DeviceBuffer > | CreateBufferWithCopy (const uint8_t *buffer, size_t length)
std::shared_ptr< DeviceBuffer > | CreateBufferWithCopy (const fml::Mapping &mapping)
virtual void | DebugTraceMemoryStatistics () const
| Write debug memory usage information to the dart timeline in debug and profile modes. More...
virtual Bytes | DebugGetHeapUsage () const

## Additional Inherited Members
Protected Member Functions inherited from impeller::Allocator
| Allocator ()

## Detailed Description

Definition at line 2614 of file entity_unittests.cc.

## Member Function Documentation

## ◆ GetMaxTextureSizeSupported()

ISize impeller::testing::FlushTestAllocator::GetMaxTextureSizeSupported | ( |  | ) | const
| inline override virtual

Implements impeller::Allocator.

Definition at line 2616 of file entity_unittests.cc.

2616 {
2617 return ISize(1024, 1024);
2618 };
impeller::ISize
ISize64 ISize
Definition: size.h:162

## ◆ OnCreateBuffer()

std::shared_ptr<DeviceBuffer> impeller::testing::FlushTestAllocator::OnCreateBuffer | ( | const DeviceBufferDescriptor & | desc | ) |
| inline override virtual

Implements impeller::Allocator.

Definition at line 2620 of file entity_unittests.cc.

2621 {
2622 return std::make_shared<FlushTestDeviceBuffer>(desc);
2623 };

## ◆ OnCreateTexture()

std::shared_ptr<Texture> impeller::testing::FlushTestAllocator::OnCreateTexture | ( | const TextureDescriptor & | desc | ) |
| inline override virtual

Implements impeller::Allocator.

Definition at line 2625 of file entity_unittests.cc.

2626 {
2627 return nullptr;
2628 }

The documentation for this class was generated from the following file:

- impeller/entity/entity_unittests.cc